
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for apis/metrics/main.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../index.html">All files</a> / <a href="index.html">apis/metrics</a> main.js</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>0/37</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>0/1</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/1</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>0/37</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
        <template id="filterTemplate">
            <div class="quiet">
                Filter:
                <input oninput="onInput()" type="search" id="fileSearch">
            </div>
        </template>
    </div>
    <div class='status-line low'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a>
<a name='L22'></a><a href='#L22'>22</a>
<a name='L23'></a><a href='#L23'>23</a>
<a name='L24'></a><a href='#L24'>24</a>
<a name='L25'></a><a href='#L25'>25</a>
<a name='L26'></a><a href='#L26'>26</a>
<a name='L27'></a><a href='#L27'>27</a>
<a name='L28'></a><a href='#L28'>28</a>
<a name='L29'></a><a href='#L29'>29</a>
<a name='L30'></a><a href='#L30'>30</a>
<a name='L31'></a><a href='#L31'>31</a>
<a name='L32'></a><a href='#L32'>32</a>
<a name='L33'></a><a href='#L33'>33</a>
<a name='L34'></a><a href='#L34'>34</a>
<a name='L35'></a><a href='#L35'>35</a>
<a name='L36'></a><a href='#L36'>36</a>
<a name='L37'></a><a href='#L37'>37</a></td><td class="line-coverage quiet"><span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js"><span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" ><span class="branch-0 cbranch-no" title="branch not covered" >const requestBuilder = require('./builder/requestBuilder');</span></span></span>
<span class="cstat-no" title="statement not covered" >// const responseBuilder = require('./builder/responseBuilder');</span>
<span class="cstat-no" title="statement not covered" >const { makeAPICall }  = require('api-caller');</span>
<span class="cstat-no" title="statement not covered" ></span>
<span class="cstat-no" title="statement not covered" >exports.handler =  async function(event, context) {</span>
<span class="cstat-no" title="statement not covered" >    const startTime = new Date();</span>
<span class="cstat-no" title="statement not covered" >    console.log('Metrics :: Event ::', event);</span>
<span class="cstat-no" title="statement not covered" >    const config = await requestBuilder(event);</span>
<span class="cstat-no" title="statement not covered" >    const endTimeRequestBuilder = new Date();</span>
<span class="cstat-no" title="statement not covered" >    const requestBuilderDuration = endTimeRequestBuilder - startTime;</span>
<span class="cstat-no" title="statement not covered" >    console.log('Metrics :: RequestBuilder Duration ::', requestBuilderDuration);</span>
<span class="cstat-no" title="statement not covered" >    console.log('Metrics :: Request Config ::', config);</span>
<span class="cstat-no" title="statement not covered" >    return new Promise((resolve, reject) =&gt; {</span>
<span class="cstat-no" title="statement not covered" >        makeAPICall(config, context)</span>
<span class="cstat-no" title="statement not covered" >        .then((result =&gt; {</span>
<span class="cstat-no" title="statement not covered" >            if(!result.error) {</span>
<span class="cstat-no" title="statement not covered" >                const endTimeMakeAPICall = new Date();</span>
<span class="cstat-no" title="statement not covered" >                const endTimeMakeAPICallDuration = endTimeMakeAPICall - startTime;</span>
<span class="cstat-no" title="statement not covered" >                console.log('Metrics :: Make API Call Duration ::', endTimeMakeAPICallDuration);</span>
<span class="cstat-no" title="statement not covered" >                console.log("Metrics :: Make API Call Result ::", result.data);</span>
<span class="cstat-no" title="statement not covered" >                // const transformed = responseBuilder(result.data.balanceInquiryAdvanceResponse);</span>
<span class="cstat-no" title="statement not covered" >                // const endTimeTransformResponse = new Date();</span>
<span class="cstat-no" title="statement not covered" >                // const transformResponseDuration = endTimeTransformResponse - startTime;</span>
<span class="cstat-no" title="statement not covered" >                // console.log('Metrics :: Response Transformed Duration ::', transformResponseDuration);</span>
<span class="cstat-no" title="statement not covered" >                // result.data = transformed;</span>
<span class="cstat-no" title="statement not covered" >                // console.log('Metrics :: Final Response with Data ::', result);</span>
<span class="cstat-no" title="statement not covered" >                resolve(result);                </span>
<span class="cstat-no" title="statement not covered" >            }</span>
<span class="cstat-no" title="statement not covered" >            console.log('Metrics :: Final Response with Error ::', result);</span>
<span class="cstat-no" title="statement not covered" >            resolve(result);</span>
<span class="cstat-no" title="statement not covered" >        }))</span>
<span class="cstat-no" title="statement not covered" >        .catch(e =&gt; {</span>
<span class="cstat-no" title="statement not covered" >            console.log('Metrics :: Make API Call Error ::', e);</span>
<span class="cstat-no" title="statement not covered" >            reject(e);</span>
<span class="cstat-no" title="statement not covered" >        });</span>
<span class="cstat-no" title="statement not covered" >    });</span>
<span class="cstat-no" title="statement not covered" >};</span></pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank" rel="noopener">istanbul</a>
                at Mon Jan 31 2022 13:17:25 GMT-0700 (Mountain Standard Time)
            </div>
        <script src="../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../sorter.js"></script>
        <script src="../../block-navigation.js"></script>
    </body>
</html>
    